%define upstream_name    Math-Prime-XS
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Detect and calculate prime numbers with deterministic tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(boolean)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
'Math::Prime::XS' detects and calculates prime numbers by either applying
Modulo operator division, the Sieve of Eratosthenes, a Summation
calculation or Trial division.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml META.json INSTALL README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorarch}/*




%changelog
* Fri Aug 23 2024 tv <tv> 0.270.0-14.mga10
+ Revision: 2089033
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 0.270.0-13.mga10
+ Revision: 2011228
- Rebuild for armv7

* Sun Nov 26 2023 tv <tv> 0.270.0-12.mga10
+ Revision: 2009876
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.270.0-11.mga9
+ Revision: 1862128
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.270.0-10.mga9
+ Revision: 1796356
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.270.0-9.mga9
+ Revision: 1726899
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.270.0-8.mga8
+ Revision: 1594925
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.270.0-7.mga8
+ Revision: 1530318
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.270.0-6.mga8
+ Revision: 1433835
- rebuild for perl 5.30
+ tv <tv>
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.270.0-4.mga7
+ Revision: 1293441
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.270.0-3.mga7
+ Revision: 1250098
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.270.0-2.mga7
+ Revision: 1165414
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.270.0-1.mga7
+ Revision: 1156104
- update to 0.27

* Thu Aug 31 2017 pterjan <pterjan> 0.260.0-14.mga7
+ Revision: 1149853
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.260.0-13.mga7
+ Revision: 1127650
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-12.mga6
+ Revision: 1029750
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.260.0-11.mga6
+ Revision: 957749
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.260.0-10.mga6
+ Revision: 845011
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.260.0-9.mga6
+ Revision: 840832
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-8.mga5
+ Revision: 746963
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.260.0-7.mga5
+ Revision: 735681
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-6.mga5
+ Revision: 685373
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.260.0-5.mga5
+ Revision: 632304
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.260.0-4.mga4
+ Revision: 524925
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.260.0-3.mga4
+ Revision: 431626
- perl 5.18.0 rebuild
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 304313
- imported package perl-Math-Prime-XS

